## mathomatic 15.5.2

=== CMakeLists.txt ===
# cmake build file for Mathomatic, originally contributed by Jonathan Stark.
# Produces the normal version of Mathomatic with readline support.
# Do not use unless you wish create a project with cmake.

cmake_minimum_required(VERSION 2.6)

project(mathomatic)

file(READ VERSION FV)
string(STRIP ${FV} MATHOMATIC_VERSION)
message(STATUS VERSION: ${MATHOMATIC_VERSION})
add_definitions(-DUNIX -DREADLINE -DVERSION="${MATHOMATIC_VERSION}")

add_executable(mathomatic
	includes.h
	am.h
	altproto.h
	externs.h
	license.h
	complex.h
	proto.h	
	globals.c
	complex.c	
	poly.c
	super.c
	am.c
	factor.c
	help.c	
	list.c	
	unfactor.c
	complex_lib.c
	factor_int.c
	main.c	
	simplify.c
	cmds.c	
	diff.c	
	gcd.c	
	integrate.c
	parse.c	
	solve.c
)

set_target_properties(mathomatic PROPERTIES COMPILE_FLAGS "-O3")
target_link_libraries(mathomatic -lm -lreadline)

=== debian/changelog ===
mathomatic (15.5.2-1) unstable; urgency=low

  * New upstream release
    - detect quickly "Expression too large." situations; thanks to Kingsley G.
      Morse Jr. for the report; Closes: #617215
  * debian/copyright
    - extended upstream copyright years
  * debian/patches/10_fix_build_system.patch
    - refreshed against new upstream source code
  * debian/patches/30_doc_separate_html_and_pdf_installation.patch
    - removed, merged upstream

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Mar 2011 20:45:49 +0200

mathomatic (15.3.7-1) experimental; urgency=low

  * New upstream release
  * debian/watch
    - updated to new location
  * debian/control
    - added Vcs-{Git,Browser} fields
    - bump Standards-Version to 3.9.1 (no changes needed)
    - suggests rlwrap for 'rmath' and 'matho' programs
  * converted to '3.0 (quilt)' source format
    - converted dpatch patch to quilt
    - removed 'dpatch' from build-dep
    - removed dpatch targets from debian/rules
  * debian/rules
    - calls 'distclean' instead of 'flush', in 'clean' target
    - install with 'm4install-degrees' to install m4 files
    - make and install PDF documentantion
  * debian/*.menu
    - updated following upstream suggestions
  * debian/copyright
    - added notice that documentation is under GFDL1.3
    - extended Debian packaging copyright years
  * debian/patches/30_doc_separate_html_and_pdf_installation.patch
    - properly separate HTML from PDF documentation

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Jan 2011 12:28:15 +0100

mathomatic (15.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_fix_makefile.dpatch
    - updated to new upstream code
  * debian/patches/30_bts-459093_ftbfs_make_test_time.dpatch
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 27 May 2010 23:29:55 +0200

mathomatic (15.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - updated upstream email address
    - added 'python' to mathomatic-primes Depends

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Apr 2010 00:17:41 +0200

mathomatic (15.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - extended upstream and packaging copyright years
  * debian/control
    - replace 'groff' with 'rman', upstream uses that to build manpages
    - bump Standards-Version to 3.8.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Feb 2010 10:57:21 +0100

mathomatic (15.0.4-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - added ${misc:Depends} to mathomatic-primes

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Jan 2010 19:37:25 +0100

mathomatic (15.0.1-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 20 Dec 2009 16:48:29 +0100

mathomatic (14.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/30_bts-459093_ftbfs_make_test_time.dpatch
    - refresh for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Nov 2009 23:16:05 +0100

mathomatic (14.5.6-1) unstable; urgency=low

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Oct 2009 15:13:38 +0200

mathomatic (14.5.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - replaced b-d on libreadline5-dev with libreadline-dev; thanks to Matthias
      Klose for the alert
    - bump Standards-Version to 3.8.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 06 Oct 2009 21:53:36 +0200

mathomatic (14.5.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/30_bts-459093_ftbfs_make_test_time.dpatch
    - adapter to new upstream code
  * debian/patches/*.dpatch
    - updated my email address
  * debian/rules
    - removed dh_desktop, a no-op now
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 13 Aug 2009 00:00:47 +0200

mathomatic (14.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - added 'misc/ideas.txt' to doc installation
  * debian/patches/{10_fix_makefile, 15_fix_primes_makefile}.dpatch
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Mon, 18 May 2009 22:09:02 +0200

mathomatic (14.3.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.8.1 (no changes needed)
  * debian/mathomatic.doc-base
    - added, provided by upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Apr 2009 23:19:02 +0200

mathomatic (14.3.3-1) unstable; urgency=low

  * Uploading to unstable, since Lenny has been released
  * New upstream release
  * debian/rules
    - merged 'rm' call into 'dh_clean' one
  * debian/copyright
    - used explicitly LGPL-2.1 local file

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Feb 2009 20:20:35 +0100

mathomatic (14.3.1-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - added copyright and license information for packaging
    - fixed and years updated for upstream copyright
  * debian/patches/10_fix_makefile.dpatch
    - updated to match new upstream code

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Feb 2009 15:25:04 +0100

mathomatic (14.2.8-1) experimental; urgency=low

  * New upstream release
  * debian/rules
    - removed configure target since not needed

 -- Sandro Tosi <morph@debian.org>  Fri, 16 Jan 2009 12:28:20 +0100

mathomatic (14.2.7-1) experimental; urgency=low

  * New upstream release
  * debian/patches/30_bts-459093_ftbfs_make_test_time.dpatch
    - updated to match new upstream code
  * debian/control
    - replaced 'rman' with 'groff' in build-dep
    - added ${misc:Depends} to Depends
  * debian/rules
    - fixed location of desktop file, adding icon installation

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Dec 2008 23:13:59 +0100

mathomatic (14.1.6-1) experimental; urgency=low

  * New upstream release
  * debian/patches/{10_fix_makefile.dpatch,15_fix_primes_makefile.dpatch}


=== debian/control ===
Source: mathomatic
Section: math
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 5), libreadline-dev, rman, htmldoc
Standards-Version: 3.9.1
Homepage: http://www.mathomatic.org
Vcs-Git: git://git.debian.org/users/morph/mathomatic.git
Vcs-Browser: http://git.debian.org/?p=users/morph/mathomatic.git

Package: mathomatic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rlwrap
Description: portable Computer Algebra System (CAS)
 Mathomatic implements most of the rules of algebra for the
 mathematical operators +, -, *, /, % (modulus), and power (including
 roots).
 .
 Mathomatic can symbolically:
 .
  * combine and solve equations,
  * completely simplify and compare expressions and equations,
  * do calculus transformations,
  * do standard, complex number, and polynomial arithmetic,
  * generate optimized C, Java, and Python language code from
    simplified equations,
  * do quick calculations, colorize expressions, etc.

Package: mathomatic-primes
Architecture: any
Depends: mathomatic (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, python
Description: prime number tools for mathomatic
 This package contains small math tools from mathomatic to:
 .
  * calculate and display Pascal's triangle
  * compute any number of consecutive prime numbers
  * find the minimum number of positive integers that when squared and
    added together, equal the given number

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS = -Wall -g -O3

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) READLINE=1
	$(MAKE) -C primes
	$(MAKE) pdf
	touch build-stamp

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ;
	$(MAKE) test
	$(MAKE) -C primes test
endif

clean:
	dh_testdir
	dh_testroot
	$(MAKE) distclean
	$(MAKE) -C primes clean	
	dh_clean build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/bin usr/share/applications
	$(MAKE) m4install-degrees DESTDIR=$(CURDIR)/debian/mathomatic
	$(MAKE) -C primes install DESTDIR=$(CURDIR)/debian/mathomatic-primes
	dh_install icons/mathomatic.png usr/share/pixmaps
	dh_install icons/mathomatic.desktop usr/share/applications

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs	changes.txt
	dh_installdocs		README.txt misc/ideas.txt
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.mathomatic.org/archive/mathomatic-(.*)\.tar\.bz2 debian uupgrade

## mathomatic 15.6.5

=== CMakeLists.txt ===
# cmake build file for Mathomatic and the Symbolic Math Library,
# originally contributed by Jonathan Stark.
# Produces the normal version of Mathomatic with readline support.
# If you need the Symbolic Math Library as a shared library,
# change the line "add_library(mathomatic_cmake" to:
# "add_library(mathomatic_cmake SHARED" below.
# This is all untested!  It is recommended to use "makefile" instead!
# To use cmake instead of "makefile", type:
#
# cmake .
# make -f Makefile
#
# Please note that cmake makes an unfixable mess of the Mathomatic
# source distribution directory, so make a copy, first.

cmake_minimum_required(VERSION 2.6)

project(mathomatic)

file(READ VERSION FV)
string(STRIP ${FV} MATHOMATIC_VERSION)
message(STATUS VERSION: ${MATHOMATIC_VERSION})
add_definitions(-O3 -Wall -DVERSION="${MATHOMATIC_VERSION}")

add_library(mathomatic_cmake
	includes.h
	standard.h
	am.h
	altproto.h
	externs.h
	license.h
	complex.h
	proto.h
	lib/mathomatic.h
	lib/lib.c
	globals.c
	complex.c	
	poly.c
	super.c
	am.c
	factor.c
	help.c	
	list.c	
	unfactor.c
	complex_lib.c
	factor_int.c
	simplify.c
	cmds.c	
	diff.c	
	gcd.c	
	integrate.c
	parse.c	
	solve.c
)

add_executable(testmain
	lib/mathomatic.h
	lib/testmain.c
)

add_dependencies(testmain
	mathomatic_cmake
)

add_executable(mathomatic
	includes.h
	standard.h
	am.h
	altproto.h
	externs.h
	license.h
	complex.h
	proto.h	
	globals.c
	complex.c	
	poly.c
	super.c
	am.c
	factor.c
	help.c	
	list.c	
	unfactor.c
	complex_lib.c
	factor_int.c
	main.c	
	simplify.c
	cmds.c	
	diff.c	
	gcd.c	
	integrate.c
	parse.c	
	solve.c
)

set_target_properties(mathomatic_cmake PROPERTIES COMPILE_FLAGS "-DLIBRARY")
set_target_properties(mathomatic PROPERTIES COMPILE_FLAGS "-DREADLINE -DUNIX")
target_link_libraries(mathomatic -lm -lreadline)
target_link_libraries(testmain mathomatic_cmake)
target_link_libraries(mathomatic_cmake -lm)

=== debian/changelog ===
mathomatic (15.6.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - mentioned modular arithmetic in mathomatic package description
  * debian/rules
    - removed build requirement for ncurses library
    - using the Debian compilation flags now, so that the security
      hardening build flags and other options are included properly.
  * debian/mathomatic-primes.menu
    - removed this file
  * TODO.Debian
    - removed this file

 -- George Gesslein II <georgegesslein@gmail.com>  Thu, 06 Oct 2011 08:03:09 -0400

mathomatic (15.6.4-1) unstable; urgency=low

  * New upstream release
    - bugs were fixed, complex number roots were approximated too often
  * debian/control
    - updated mathomatic and mathomatic-primes package descriptions
    - suggests gnuplot for mathomatic
  * debian/mathomatic.doc-base
    - pointed to manual.pdf file, already generated by this build

 -- George Gesslein II <georgegesslein@gmail.com>  Tue, 30 Aug 2011 07:11:21 -0400

mathomatic (15.6.3-1) unstable; urgency=low

  * New upstream release
    - Simplification more responsive
    - New color theme, normal text not colored
    - Many minor improvements and fixes
    - matho man page added, rmath man page fixed
  * debian/control
    - new Maintainer is George Gesslein II, the upstream author.
    - Sandro Tosi, the previous maintainer, added to Uploaders.
    - removed Vcs-{Git,Browser} fields
    - bump Standards-Version to 3.9.2 (no changes needed)
    - added m4 package dependency for m4 Mathomatic
  * debian/copyright
    - changed to reflect new Maintainer
  * debian/rules
    - added "build-arch" and "build-indep" targets
    - "dh_compress --exclude=tests/" so tests are not compressed
    - specify text docs to install on make install command line
  * debian/watch
    - fixed typo so that it works automatically now.
  * debian/patches/20_bts459093_remove_time_call.patch
    - removed, using "make check" instead of "make test" in rules
  * debian/patches/10_fix_build_system.patch
    - removed, using "make install prefix=/usr" instead in rules

 -- George Gesslein II <georgegesslein@gmail.com>  Sun, 07 Aug 2011 14:31:24 -0400

=== debian/control ===
Source: mathomatic
Section: math
Priority: optional
Maintainer: George Gesslein II <georgegesslein@gmail.com>
Uploaders: Sandro Tosi <morph@debian.org>, tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 5), libreadline-dev, rman, htmldoc
Standards-Version: 3.9.2
Homepage: http://www.mathomatic.org

Package: mathomatic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, m4
Suggests: rlwrap, gnuplot
Description: portable Computer Algebra System (CAS)
 Mathomatic implements most of the rules of algebra for the
 mathematical operators +, -, *, /, % (modulus), and power (including
 roots).
 .
 Mathomatic can symbolically:
 .
  * combine and solve equations,
  * completely simplify and compare expressions and equations,
  * do simple calculus transformations and series,
  * do standard, complex number, modular, and polynomial arithmetic,
  * generate optimized C, Java, and Python language code from
    simplified equations,
  * plot expressions with gnuplot in two or three dimensions,
  * do quick calculations, colorize expressions, etc.

Package: mathomatic-primes
Architecture: any
Depends: mathomatic (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, python
Description: prime number tools for mathomatic
 This package contains the integer math tools from Mathomatic to:
 .
  * quickly generate any amount of consecutive prime numbers
  * calculate large primorials
  * sum and multiply large integers
  * calculate and display Pascal's triangle
  * find the minimum number of positive integers that when squared and
    added together, equal the given number

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,23 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-CFLAGS = -Wall -g -O3
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) READLINE=1
-	$(MAKE) -C primes
+	CFLAGS="-Wall -O3 -DREADLINE $(CFLAGS)" LDLIBS="-lreadline" $(MAKE)
+	CFLAGS="-Wall -O3 $(CFLAGS)" $(MAKE) -C primes
 	$(MAKE) pdf
 	touch build-stamp
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e ;
-	$(MAKE) test
-	$(MAKE) -C primes test
+	$(MAKE) check
+	$(MAKE) -C primes check
 endif
 
 clean:
@@ -29,8 +32,8 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs usr/bin usr/share/applications
-	$(MAKE) m4install-degrees DESTDIR=$(CURDIR)/debian/mathomatic
-	$(MAKE) -C primes install DESTDIR=$(CURDIR)/debian/mathomatic-primes
+	$(MAKE) m4install-degrees DESTDIR=$(CURDIR)/debian/mathomatic prefix=/usr TEXT_DOCS="AUTHORS README.txt"
+	$(MAKE) -C primes install DESTDIR=$(CURDIR)/debian/mathomatic-primes prefix=/usr
 	dh_install icons/mathomatic.png usr/share/pixmaps
 	dh_install icons/mathomatic.desktop usr/share/applications
 
@@ -46,7 +49,7 @@
 	dh_installman
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress --exclude=tests/
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps

## mathomatic 15.7.1

=== debian/changelog ===
mathomatic (15.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - upstream changelog changed from changes.txt to NEWS,
      which is just changes.txt in the proper order
    - deprecated "dh_clean -k" changed to "dh_prep"
  * debian/control
    - build-depends requires debhelper >= 7 for dh_prep

 -- George Gesslein II <georgegesslein@gmail.com>  Thu, 01 Dec 2011 12:45:40 -0500

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs usr/bin usr/share/applications
 	$(MAKE) m4install-degrees DESTDIR=$(CURDIR)/debian/mathomatic prefix=/usr TEXT_DOCS="AUTHORS README.txt"
 	$(MAKE) -C primes install DESTDIR=$(CURDIR)/debian/mathomatic-primes prefix=/usr
@@ -42,7 +42,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs	changes.txt
+	dh_installchangelogs	NEWS
 	dh_installdocs		README.txt misc/ideas.txt
 	dh_installexamples
 	dh_installmenu

## mathomatic 15.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 file(READ VERSION FV)
 string(STRIP ${FV} MATHOMATIC_VERSION)
 message(STATUS VERSION: ${MATHOMATIC_VERSION})
-add_definitions(-O3 -Wall -DVERSION="${MATHOMATIC_VERSION}")
+add_definitions(-O3 -Wall -fexceptions -DVERSION="${MATHOMATIC_VERSION}")
 
 add_library(mathomatic_cmake
 	includes.h

=== debian/changelog ===
mathomatic (15.8.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - added "misc/known_bugs.txt" to available documentation

 -- George Gesslein II <georgegesslein@gmail.com>  Wed, 22 Feb 2012 08:21:04 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: George Gesslein II <georgegesslein@gmail.com>
 Uploaders: Sandro Tosi <morph@debian.org>, tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 5), libreadline-dev, rman, htmldoc
+Build-Depends: debhelper (>= 7), libreadline-dev, rman, htmldoc
 Standards-Version: 3.9.2
 Homepage: http://www.mathomatic.org

## mathomatic 15.8.2

=== debian/changelog ===
mathomatic (15.8.2-2) unstable; urgency=low

  * debian/control
    - added Build-Depends: tidy
      tidy is used to clean up and check HTML
  * debian/compat
    - changed from 5 to 7 to conform to debhelper version
  * debian/copyright
    - now conforms to machine-readable copyright format
      specification version 1.0

 -- George Gesslein II <georgegesslein@gmail.com>  Sun, 15 Apr 2012 14:24:00 -0400

mathomatic (15.8.2-1) unstable; urgency=low

  * New upstream release
    - important regressions and other bugs have been fixed
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * debian/copyright
    - extended copyright years from 2011 to 2012
    - improved wording regarding current maintainers

 -- George Gesslein II <georgegesslein@gmail.com>  Sun, 25 Mar 2012 08:15:51 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: George Gesslein II <georgegesslein@gmail.com>
 Uploaders: Sandro Tosi <morph@debian.org>, tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7), libreadline-dev, rman, htmldoc
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libreadline-dev, rman, htmldoc, tidy
+Standards-Version: 3.9.3
 Homepage: http://www.mathomatic.org
 
 Package: mathomatic

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs	NEWS
-	dh_installdocs		README.txt misc/ideas.txt
+	dh_installdocs		README.txt misc/ideas.txt misc/known_bugs.txt
 	dh_installexamples
 	dh_installmenu
 	dh_installman

## mathomatic 16.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 file(READ VERSION FV)
 string(STRIP ${FV} MATHOMATIC_VERSION)
 message(STATUS VERSION: ${MATHOMATIC_VERSION})
-add_definitions(-O3 -Wall -fexceptions -DVERSION="${MATHOMATIC_VERSION}")
+add_definitions(-O3 -Wall -Wshadow -Wno-char-subscripts -fexceptions -DVERSION="${MATHOMATIC_VERSION}")
 
 add_library(mathomatic_cmake
 	includes.h
@@ -28,6 +28,7 @@
 	am.h
 	altproto.h
 	externs.h
+	blt.h
 	license.h
 	complex.h
 	proto.h
@@ -68,6 +69,7 @@
 	am.h
 	altproto.h
 	externs.h
+	blt.h
 	license.h
 	complex.h
 	proto.h

=== debian/changelog ===
mathomatic (16.0.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:34:15 +0000

mathomatic (16.0.4-1) experimental; urgency=low

  * New upstream release
    - enhancements have been implemented
  * debian/control
    - replace build dependency libreadline-dev with libeditline-dev,
      because the readline license is incompatible with LGPL
  * debian/rules
    - replaced all occurrences of readline with editline; Closes: #687063

 -- George Gesslein II <georgegesslein@gmail.com>  Mon, 10 Sep 2012 11:52:09 -0400

mathomatic (16.0.2-1) experimental; urgency=low

  * New upstream release
    - more educational uses and functionality, some bug fixes
  * debian/rules
    - changed "make m4install-degrees" to "make m4install"
      because most CAS programs use radian trig, not degree trig;
      Mathomatic is more of a CAS than a calculator
      The user can type "rmath /usr/share/mathomatic/m4/degrees.m4"
      to switch to degree mode if needed
    - removed line "$(MAKE) -C primes clean" because unnecessary;
      function is performed by the previous "make distclean" line
  * debian/.pc
    - old directory that shouldn't be there, removed, thanks to
      the latest Lintian
  * debian/copyright
    - removed some redundant "Copyright:" statements, thanks to
      the latest Lintian

 -- George Gesslein II <georgegesslein@gmail.com>  Wed, 08 Aug 2012 13:11:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mathomatic
 Section: math
 Priority: optional
-Maintainer: George Gesslein II <georgegesslein@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: George Gesslein II <georgegesslein@gmail.com>
 Uploaders: Sandro Tosi <morph@debian.org>, tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7), libreadline-dev, rman, htmldoc, tidy
+Build-Depends: debhelper (>= 7), libeditline-dev, rman, htmldoc, tidy
 Standards-Version: 3.9.3
 Homepage: http://www.mathomatic.org

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	CFLAGS="-Wall -O3 -DREADLINE $(CFLAGS)" LDLIBS="-lreadline" $(MAKE)
+	CFLAGS="-Wall -O3 -DEDITLINE $(CFLAGS)" LDLIBS="-leditline" $(MAKE)
 	CFLAGS="-Wall -O3 $(CFLAGS)" $(MAKE) -C primes
 	$(MAKE) pdf
 	touch build-stamp
@@ -24,7 +24,6 @@
 	dh_testdir
 	dh_testroot
 	$(MAKE) distclean
-	$(MAKE) -C primes clean	
 	dh_clean build-stamp configure-stamp
 
 install: build
@@ -32,7 +31,7 @@
 	dh_testroot
 	dh_prep 
 	dh_installdirs usr/bin usr/share/applications
-	$(MAKE) m4install-degrees DESTDIR=$(CURDIR)/debian/mathomatic prefix=/usr TEXT_DOCS="AUTHORS README.txt"
+	$(MAKE) m4install DESTDIR=$(CURDIR)/debian/mathomatic prefix=/usr TEXT_DOCS="AUTHORS README.txt"
 	$(MAKE) -C primes install DESTDIR=$(CURDIR)/debian/mathomatic-primes prefix=/usr
 	dh_install icons/mathomatic.png usr/share/pixmaps
 	dh_install icons/mathomatic.desktop usr/share/applications

## mathomatic 16.0.4-1+6.0.1trisquel1

=== debian/changelog ===
mathomatic (16.0.4-1+6.0.1trisquel1) toutatis; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 12 Jan 2015 23:15:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mathomatic
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: George Gesslein II <georgegesslein@gmail.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Sandro Tosi <morph@debian.org>, tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7), libeditline-dev, rman, htmldoc, tidy
+Build-Depends: debhelper (>= 7), libeditline-dev, groff, htmldoc, tidy
 Standards-Version: 3.9.3
 Homepage: http://www.mathomatic.org

## mathomatic 16.0.5

=== debian/changelog ===
mathomatic (16.0.5-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ tony mancill ]
  * Freshen debian/copyright
  * Update Homepage (Closes: #1028558)
    - Thank you to Jakub Wilk for the bug report.
    - Remove references to mathomatic.org in some docs and in doc-base
    - Update debian/watch
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Sun, 15 Jan 2023 10:17:33 -0800

mathomatic (16.0.5-4) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Thank you to Helmut Grohne. (Closes: #973272)

 -- tony mancill <tmancill@debian.org>  Thu, 29 Oct 2020 22:07:15 -0700

mathomatic (16.0.5-3) unstable; urgency=medium

  * Build with libedit instead of libeditline (Closes: #966331)
    - Thank you to Bastian Germann for the patch.
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 26 Jul 2020 21:02:41 -0700

mathomatic (16.0.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ tony mancill ]
  * Specify debhelper compat via debhelper-compat dependency
  * Bump Standards-Version to 4.4.1
  * Add patch to convert python scripts to Python3 (Closes: #945664)
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Wed, 27 Nov 2019 21:15:07 -0800

mathomatic (16.0.5-1) unstable; urgency=medium

  * New upstream version 16.0.5
  * Update Maintainer and Uploader fields (Closes: #809189)
  * Remove menu file as per Debian Policy section 9.6 (Menus)
  * Bump Standards-Version to 4.2.1
  * Use debhelper and compat 11
  * Use DH sequencer in debian/rules
  * Add Vcs URLs to debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 02 Sep 2018 09:27:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: mathomatic
 Section: math
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Sandro Tosi <morph@debian.org>, tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 7), libeditline-dev, groff, htmldoc, tidy
-Standards-Version: 3.9.3
-Homepage: http://www.mathomatic.org
+Maintainer: tony mancill <tmancill@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               htmldoc,
+               libedit-dev,
+               rman,
+               tidy
+Standards-Version: 4.6.2
+Homepage: https://launchpad.net/mathomatic
+Vcs-Browser: https://salsa.debian.org/debian/mathomatic
+Vcs-Git: https://salsa.debian.org/debian/mathomatic.git
+Rules-Requires-Root: no
 
 Package: mathomatic
 Architecture: any
@@ -29,7 +35,7 @@
 
 Package: mathomatic-primes
 Architecture: any
-Depends: mathomatic (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, python
+Depends: mathomatic (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, python3
 Description: prime number tools for mathomatic
  This package contains the integer math tools from Mathomatic to:
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS) -DEDITLINE" LDLIBS="-ledit" dh_auto_build
	dh_auto_build --sourcedirectory=primes
	$(MAKE) pdf

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ;
	$(MAKE) check
	$(MAKE) -C primes check
else
	:
endif

override_dh_auto_install:
	dh_installdirs usr/bin usr/share/applications
	$(MAKE) m4install DESTDIR=$(CURDIR)/debian/mathomatic prefix=/usr TEXT_DOCS="AUTHORS README.txt"
	$(MAKE) -C primes install DESTDIR=$(CURDIR)/debian/mathomatic-primes prefix=/usr
	dh_install icons/mathomatic.png usr/share/pixmaps
	dh_install icons/mathomatic.desktop usr/share/applications
	dh_installchangelogs	NEWS
	dh_installdocs		README.txt misc/ideas.txt misc/known_bugs.txt
	dh_auto_install

override_dh_compress:
	dh_compress --exclude=tests/

override_dh_missing:
	# retain behavior from debhelper v12
	dh_missing --list-missing
